#
# spec file for package rubygem-datamapper (Version 1.1.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-datamapper
Version:        1.2.0
Release:        1.1
# upstream is using two gem names for the same stuff /o\
%define mod_name1 datamapper
%define mod_name2 data_mapper
Provides:       rubygem-data_mapper = %{version}
Obsoletes:      rubygem-data_mapper < %{version}
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
# dm-core ~> 1.2.0
BuildRequires:  rubygem-dm-core-1_2 >= 1.2.0
Requires:       rubygem-dm-core-1_2 >= 1.2.0
# dm-aggregates ~> 1.2.0
BuildRequires:  rubygem-dm-aggregates-1_2 >= 1.2.0
Requires:       rubygem-dm-aggregates-1_2 >= 1.2.0
# dm-constraints ~> 1.2.0
BuildRequires:  rubygem-dm-constraints-1_2 >= 1.2.0
Requires:       rubygem-dm-constraints-1_2 >= 1.2.0
# dm-migrations ~> 1.2.0
BuildRequires:  rubygem-dm-migrations-1_2 >= 1.2.0
Requires:       rubygem-dm-migrations-1_2 >= 1.2.0
# dm-transactions ~> 1.2.0
BuildRequires:  rubygem-dm-transactions-1_2 >= 1.2.0
Requires:       rubygem-dm-transactions-1_2 >= 1.2.0
# dm-serializer ~> 1.2.0
BuildRequires:  rubygem-dm-serializer-1_2 >= 1.2.0
Requires:       rubygem-dm-serializer-1_2 >= 1.2.0
# dm-timestamps ~> 1.2.0
BuildRequires:  rubygem-dm-timestamps-1_2 >= 1.2.0
Requires:       rubygem-dm-timestamps-1_2 >= 1.2.0
# dm-validations ~> 1.2.0
BuildRequires:  rubygem-dm-validations-1_2 >= 1.2.0
Requires:       rubygem-dm-validations-1_2 >= 1.2.0
# dm-types ~> 1.2.0
BuildRequires:  rubygem-dm-types-1_2 >= 1.2.0
Requires:       rubygem-dm-types-1_2 >= 1.2.0
#
Url:            http://datamapper.org
Source1:        %{mod_name1}-%{version}.gem
Source2:        %{mod_name2}-%{version}.gem
#
Summary:        An Object/Relational Mapper for Ruby
%description
Faster, Better, Simpler.

%prep
%build
%install
%gem_install %{S:1}
%gem_install %{S:2}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name1}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name1}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name1}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name1}-%{version}/

%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name2}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name2}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name2}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name2}-%{version}/

%changelog
* Fri Oct 14 2011 fcastelli@suse.com
- update to 1.2.0
* Tue Mar 29 2011 kkaempf@novell.com
- update to 1.1.0
* Wed Sep  1 2010 prusnak@opensuse.org
- provide also data_mapper gem
* Wed Aug 25 2010 prusnak@opensuse.org
- created package (1.0.0)
